[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CMBiDiModeChanged

Handles the CM_BIDIMODECHANGED control message for the form.

## Declaration

Source position: forms.pp line 616

`protected procedure TCustomForm.CMBiDiModeChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message examined in the method.

## Description

Re-implements the method from the ancestor class. Calls the inherited method on entry using the value in Message to set the BiDiMode and adjust the size for the control.

Ensures that all components owned by the form are notified of the change to the BiDiMode property. This is needed for menus on the form. A TLMessage instance is constructed with the CM_PARENTBIDIMODECHANGED message and dispatched to all of the Components on the form not derived from TWinControl. TWinControl handles the notification for its descendants. Alignment is temporarily disabled during the process, and re-enabled prior to exiting from the method.